﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 620A: (1 yr) CAL VER IEEE /9100+Opt600
DATE:                  2009-12-02 12:22:15
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       329
CONFIGURATION:         Datron 9100 (S6)
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds620a_640a_644a_1yr_ver_ieee_9100_opt600.txt,v $
#    $Date: 2009/12/02 19:50:16 $
#
#  Procedure Author:
#        DAC, DFM, VY
#@
#@ Models covered:
#@       TDS 620A, TDS 640A, TDS 644A
#@
#@ Source:
#@       TDS 620A, 640A & 644A Digitizing Oscilloscopes
#@       Performance Verification, Part No. 070-8717-01
#@
#@ Source Author:
#@       Tektronix
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or Later.
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub TDS500/600/700 Setup IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Self-Test IEEE
#        Sub TDS500/600/700 Sig Path Comp Cal IEEE
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Check Trig Status IEEE
#        Sub TDS500/600/700 Adjust Trig Level IEEE
#        Sub TDS500/600/700 Main or Delayed Trigger IEEE
#        Sub TDS500/600/700 Read Time by Cursor Walker IEEE
#        Sub TDS500/600/700 Cursor Reading IEEE
#        Sub TDS600A Specifications
#        Sub TDS600A (1 yr) DC Offset IEEE
#        Sub TDS600A (1 yr) DCV Meas Acc IEEE /9100
#        Sub TDS600A (1 yr) Delay Match IEEE /9100+Opt600
#        Sub TDS600A (1 yr) Time Base IEEE /9100+Opt600
#        Sub TDS600A (1 yr) Trig Time Acc IEEE /9100+Opt600
#        Sub TDS600A (1 yr) Output Signal IEEE /9100+Opt600
#        Sub TDS600A (1 yr) Probe Comp IEEE /9100
#        Sub TDS600A (1 yr) Bandwidth IEEE /9100+Opt600
#        Sub TDS600A (1 yr) Sens IEEE /9100+Opt600
#        Sub TDS600A (1 yr) Aux Trig In Sens IEEE /9100+Opt600
#        Sub TDS620A/64xA (1 yr) Delta Time IEEE /9100+Opt600
#        Sub TDS620A/64xA (1 yr) Trig Level IEEE /9100+Opt600
#
# Required Files:
#        91_2w_1.jpg       Picture: DC Volts Connection - Channel 1
#        91_2w_2.jpg       Picture: DC Volts Connection - Channel 2
#        91_2w_3.jpg       Picture: DC Volts Connection - Channel 3
#        91_2w_4.jpg       Picture: DC Volts Connection - Channel 4
#        91_4ck_1.jpg      Picture: 9100 Scope Sig Out - Channel 1
#        91_4ck_2.jpg      Picture: 9100 Scope Sig Out - Channel 2
#        91_4ck_3.jpg      Picture: 9100 Scope Sig Out - Channel 3
#        91_4ck_4.jpg      Picture: 9100 Scope Sig Out - Channel 4
#        91_4ck_5.jpg      Picture: DC Volts Con. - Ch 1 and Aux trig in
#        91_4ck_6.jpg      Picture: Main Trigger Out
#        91_4ck_7.jpg      Picture: Delay Trigger Out
#        91_4ck_8.jpg      Picture: Signal/Source Out Test
#        91_4ck12.jpg      Picture: 9100 Scope Sig Out to UUT CH 1 & 2
#        91_4ck13.jpg      Picture: 9100 Scope Sig Out to UUT CH 1 & 3
#        91_4ck14.jpg      Picture: 9100 Scope Sig Out to UUT CH 1 & 4
#
#@ Additional Equipment Required:
#@       Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#@       Cable, coaxial, BNC(m)-(m), 36"
#@       Cable, coaxial, BNC(m)-(m), 12"
#@       Dual Input Coupler (BNC)
#@       50 Ohm Feedthrough (BNC)
#@
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing : 60 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  9100         500MH                        1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

# Verify MET/CAL version compatibility.
  1.006  MATH         @ReqMetCalVersion = "7.20x"
  1.007  CALL         Sub MET/CAL Version Check

  1.008  IF           NOT(@MetCalVersionOK)
  1.009  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.009  DISP         or later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method

  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  HEAD         UUT IDENTIFICATION
  1.019  TARGET
  1.020  CALL         Sub TDS500/600/700 Setup IEEE
  1.021  IEEE2        *RST;DESE 61
  1.022  WAIT         -t 4 System Initializing ...
  1.023  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.024  IF           PSUBI("TDS 620A")
  1.025  MATH         Model = "TDS 620A"
  1.026  ELSEIF       PSUBI("TDS 640A")
  1.027  MATH         Model = "TDS 640A"
  1.028  ELSEIF       PSUBI("TDS 644A")
  1.029  MATH         Model = "TDS 644A"
  1.030  ENDIF

# Make sure correct UUT is connected.
  1.031  MATH         L[1] = ZCMPI("TEKTRONIX", @Manufacturer)
  1.032  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.033  IF           NOT(L[1]) || NOT(L[2])
  1.034  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.034  DISP         not a Tektronix [V Model]!
  1.035  END
  1.036  ENDIF

  1.037  HEAD         EQUIPMENT REQUIREMENTS
  1.038  OPBR         -z Do you want to REVIEW the list of additional
  1.038  OPBR         equipment and/or accessories required?

  1.039  IF           MEM1
  1.040  DISP         The following additional equipment and/or accessories
  1.040  DISP         are required:
  1.040  DISP
  1.040  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.040  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.040  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.040  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.040  DISP         - Dual Input Coupler (BNC)
  1.040  DISP         - 50 Ohm Feedthrough (BNC)
  1.041  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DC OFFSET(CH1)                     DC OFFSET(CH1)
#    4.   DC OFFSET(CH2)                     DC OFFSET(CH2)
#    5.   DC OFFSET(CH3)                     DC OFFSET(CH3)
#    6.   DC OFFSET(CH4)                     DC OFFSET(CH4)
#    7.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    8.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    9.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#   10.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#   11.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#   12.   BANDWIDTH(CH2)                     SAMPLE RATE AND DELAY TIME ACC
#   13.   BANDWIDTH(CH3)                     DELTA TIME MEASUREMENT ACCURACY
#   14.   BANDWIDTH(CH4)                     TIME ACC OF PULSE WIDTH TRIG(CH1)
#   15.   CHANNEL DELAY                      TRIG LEVEL ACCURACY(CH1)
#   16.   SAMPLE RATE AND DELAY TIME ACC     EDGE-TRIGGER SENSITIVITY(CH1)
#   17.   DELTA TIME MEASUREMENT ACCURACY    AUX TRIG IN SENSITIVITY (CH1)
#   18.   TIME ACC OF PULSE WIDTH TRIG(CH1)  ANDWIDTH(CH2)
#   19.   TRIG LEVEL ACCURACY(CH1)           EDGE-TRIGGER SENSITIVITY(CH2)
#   20.   EDGE-TRIGGER SENSITIVITY(CH1)      BANDWIDTH(CH3)
#   21.   AUX TRIG IN SENSITIVITY (CH1)      EDGE-TRIGGER SENSITIVITY(CH3)
#   22.   EDGE-TRIGGER SENSITIVITY(CH2)      BANDWIDTH(CH4)
#   23.   EDGE-TRIGGER SENSITIVITY(CH3)      EDGE-TRIGGER SENSITIVITY(CH4)
#   24.   EDGE-TRIGGER SENSITIVITY(CH4)      CHANNEL DELAY
#   25.   SIGNAL OUT AND AUX TRIGGER OUT     SIGNAL OUT AND AUX TRIGGER OUT
#   26.   PROBE COMPENSATION OUTPUT          PROBE COMPENSATION OUTPUT

  1.042  CALL         Sub TDS600A Specifications
  1.043  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.044  JMPL         END                          @Abort
  1.045  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.046  JMPL         END                          @Abort

# Specify channel to test.
  1.047  MATH         @Chan = 1
  1.048  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.049  MATH         @Chan = 2
  1.050  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.051  MATH         @Chan = 3
  1.052  CALL         Sub TDS600A (1 yr) DC Offset IEEE
  1.053  MATH         @Chan = 4
  1.054  CALL         Sub TDS600A (1 yr) DC Offset IEEE

  1.055  MATH         @Chan = 1
  1.056  CALL         Sub TDS600A (1 yr) DCV Meas Acc IEEE /9100
  1.057  MATH         @Chan = 2
  1.058  CALL         Sub TDS600A (1 yr) DCV Meas Acc IEEE /9100
  1.059  MATH         @Chan = 3
  1.060  CALL         Sub TDS600A (1 yr) DCV Meas Acc IEEE /9100
  1.061  MATH         @Chan = 4
  1.062  CALL         Sub TDS600A (1 yr) DCV Meas Acc IEEE /9100

  1.063  MATH         @Chan = 1
  1.064  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /9100+Opt600
  1.065  JMPL         TIMEBASE_TRIGGER

  1.066  LABEL        BANDWIDTH_CH2
  1.067  MATH         @Chan = 2
  1.068  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /9100+Opt600
  1.069  JMPL         TRIG_SENS_CH2

  1.070  LABEL        BANDWIDTH_CH3
  1.071  MATH         @Chan = 3
  1.072  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /9100+Opt600
  1.073  JMPL         TRIG_SENS_CH3

  1.074  LABEL        BANDWIDTH_CH4
  1.075  MATH         @Chan = 4
  1.076  CALL         Sub TDS600A (1 yr) Bandwidth IEEE /9100+Opt600
  1.077  JMPL         TRIG_SENS_CH4

  1.078  LABEL        DELAY_MATCH
  1.079  MATH         @Chan = 1
  1.080  CALL         Sub TDS600A (1 yr) Delay Match IEEE /9100+Opt600
  1.081  JMPL         OUTPUT_SIGNAL

  1.082  LABEL        TIMEBASE_TRIGGER
  1.083  MATH         @Chan = 1
  1.084  CALL         Sub TDS600A (1 yr) Time Base IEEE /9100+Opt600
  1.085  CALL         Sub TDS620A/64xA (1 yr) Delta Time IEEE /9100+Opt600
  1.086  CALL         Sub TDS600A (1 yr) Trig Time Acc IEEE /9100+Opt600
  1.087  CALL         Sub TDS620A/64xA (1 yr) Trig Level IEEE /9100+Opt600
  1.088  CALL         Sub TDS600A (1 yr) Sens IEEE /9100+Opt600
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.089  OPBR         -z Each channel trig sensitivity test will take about
  1.089  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.089  OPBR         channels to save time, unless desired.
  1.089  OPBR
  1.089  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.089  OPBR         3, and 4?
  1.090  MATH         @TestCh234Sens = MEM1

  1.091  MATH         @Chan = 1
  1.092  CALL         Sub TDS600A (1 yr) Aux Trig In Sens IEEE /9100+Opt600
  1.093  JMPL         BANDWIDTH_CH2

  1.094  LABEL        TRIG_SENS_CH2

  1.095  IF           @TestCh234Sens
  1.096  MATH         @Chan = 2
  1.097  CALL         Sub TDS600A (1 yr) Sens IEEE /9100+Opt600
  1.098  ENDIF

  1.099  JMPL         BANDWIDTH_CH3

  1.100  LABEL        TRIG_SENS_CH3

  1.101  IF           @TestCh234Sens
  1.102  MATH         @Chan = 3
  1.103  CALL         Sub TDS600A (1 yr) Sens IEEE /9100+Opt600
  1.104  ENDIF

  1.105  JMPL         BANDWIDTH_CH4

  1.106  LABEL        TRIG_SENS_CH4

  1.107  IF           @TestCh234Sens
  1.108  MATH         @Chan = 4
  1.109  CALL         Sub TDS600A (1 yr) Sens IEEE /9100+Opt600
  1.110  ENDIF

  1.111  JMPL         DELAY_MATCH

  1.112  LABEL        OUTPUT_SIGNAL
  1.113  CALL         Sub TDS600A (1 yr) Output Signal IEEE /9100+Opt600
  1.114  CALL         Sub TDS600A (1 yr) Probe Comp IEEE /9100

  1.115  LABEL        END
  1.116  IEEE2        *RST;DESE 61

  1.117  IF           @Abort
  1.118  DISP         V E R I F I C A T I O N   A B O R T E D
  1.119  ELSE
  1.120  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.121  ENDIF

  1.122  END
